﻿<section class="section">

    <div class="section-body">
        <div class="card" id="cardSoal" style="display:none;">
            <div class="card-body">
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link" style="cursor:pointer;color:red;" onclick="Kembali();"><i class="fas fa-arrow-alt-circle-left"></i> KEMBALI</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" id="materi-tab" data-toggle="tab" href="#materi" role="tab" aria-controls="materi" aria-selected="true">MATERI</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="soal-tab" data-toggle="tab" href="#soal" role="tab" aria-controls="soal" aria-selected="false">SOAL</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="jawaban-tab" data-toggle="tab" href="#jawaban" role="tab" aria-controls="jawaban" aria-selected="false">UPLOAD JAWABAN</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="videof2f-tab" data-toggle="tab" href="#videof2f" role="tab" aria-controls="videof2f" aria-selected="false">VIDEO TATAP MUKA</a>
                    </li>
                    @*<li class="nav-item">
                        <a class="nav-link" id="list-siswa-tab" data-toggle="tab" href="#list-siswa" role="tab" aria-controls="list-siswa" aria-selected="false">PROGRESS SISWA</a>
                    </li>*@
                </ul>
                <form id="FormRuangBelajar">
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="materi" role="tabpanel" aria-labelledby="materi-tab">
                            <ul class="list-unstyled list-unstyled-border mt-3">
                                <li class="media">
                                    <img alt="image" src="~/assets/img/avatar/avatar-0.png" class="mr-3 rounded-circle" width="50" onerror="this.onerror=null; this.src='/assets/img/avatar/avatar-0.png'" style="height:50px;object-fit: cover;object-position: center;">
                                    @* <img alt="image" id="materi_foto_guru" class="mr-3 rounded-circle" width="50" onerror="this.onerror=null; this.src='/assets/img/avatar/avatar-0.png'" src="~/assets/img/avatar/avatar-0.png" style="height:50px;object-fit: cover;object-position: center;"> *@
                                    <div class="media-body">
                                        <div class="mt-0 mb-1 font-weight-bold"><span id="materi_guru">sedang memuat</span></div>
                                        <div class="text-primary text-small font-600-bold"> Mapel <span id="materi_mapel">sedang memuat</span></div>
                                    </div>
                                </li>
                            </ul>
                            <hr />
                            <b>Judul Materi:</b><br />
                            <div id="materi_judul"></div>
                            <br />
                            <b>Penjelasan:</b><br />
                            <div id="materi_deskripsi"></div>
                            <br />
                            <div id="materi_downloadfile"></div>
                            <br />
                            <div class="row" id="materi_gambar"></div>
                            <hr />
                            <div class="row" id="materi_video"></div>
                            @*<a data-fancybox="gallery" href="/assets/img/visa.png">hey</a>*@
                        </div>

                        <div class="tab-pane fade" id="soal" role="tabpanel" aria-labelledby="soal-tab">
                            <b>Penjelasan:</b><br />
                            <div id="soal_deskripsi"></div>
                            <hr />
                            @*Silahkan klik tombol untuk download soal <br />*@
                            <div id="htmlDownloadSoal"></div>
                        </div>

                        <div class="tab-pane fade" id="jawaban" role="tabpanel" aria-labelledby="jawaban-tab">
                            <div class="row mt-5" id="DivUploadJawabanOpen">
                                <div class="col-md-6">
                                    <center>
                                        <img src="~/assets/img/illustration/upload.svg" class="img-fluid" width="200px">
                                        <span style="margin:15px;display: block;">Upload Jawaban Kamu</span>
                                    </center>
                                </div>
                                <div class="col-md-6">
                                    <input type="hidden" class="form-control" id="IdKbmMateri" name="IdKbmMateri">
                                    <input type="hidden" class="form-control" id="IdJenisSoal" name="IdJenisSoal">
                                    <div class="form-group" id="jawaban_upload">
                                        <label for="JawabanUpload">Upload Jawaban</label>
                                        <input type="file" class="form-control" id="FileUpload" name="FileUpload" multiple>
                                        <small id="emailHelp" class="form-text text-muted text-danger">*Max file tidak lebih dari 5MB.</small>
                                        <small id="emailHelp" class="form-text text-muted text-danger">*Upload jawaban dapat dilakukan berkali-kali selama nilai belum diberikan oleh guru yang bersangkutan.</small>
                                    </div>
                                    <div class="form-group" id="jawaban_youtube" style="display:none">
                                        <label for="JawabanUrl">Masukan URL</label>
                                        <input type="text" class="form-control" id="NamaUrl" name="NamaUrl" placeholder="ex: https://www.youtube.com/embed/jTIUgshJjds">
                                        <small id="emailHelp" class="form-text text-muted text-danger">*Masukan URL <b>Embed</b> Youtube.</small>
                                    </div>
                                    <div class="form-group" id="jawaban_rubrik" style="display: none;">
                                        <div class="control-label">Sudah Melakukan?</div>
                                        <label class="custom-switch mt-2">
                                            <input type="checkbox" name="JawabanUrl" id="JawabanUrl" class="custom-switch-input">
                                            <span class="custom-switch-indicator"></span>
                                            <span class="custom-switch-description">Klik jika sudah melakukannya</span>
                                        </label>
                                    </div>
                                    <div class="form-group" id="jenis_bantuan_ortu" style="display:none">
                                        <label for="JawabanUrl">Bantuan</label>
                                        <select class="form-control" name="IdJenisBantuanOrtu" id="IdJenisBantuanOrtu">
                                        </select>
                                    </div>
                                    <button type="button" class="btn btn-warning" onclick="SerahkanTugas();">Serahkan Tugas &nbsp;<i class="fas fa-arrow-right"></i></button>
                                </div>
                            </div>
                            <div class="mt-5" id="DivUploadJawabanClose" style="display:none;">
                                <center>
                                    <img src="~/assets/img/illustration/done.svg" class="img-fluid" width="300px">
                                    <br /><br />
                                    <button class="btn btn-warning" type="button"><span id="htmlInfoUploadJawaban">Tidak ada upload jawaban</span></button>
                                </center>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="videof2f" role="tabpanel" aria-labelledby="videof2f-tab">
                            <div class="mt-5" id="meeting_empty">
                                <center>
                                    <img src="~/assets/img/illustration/meeting.svg" class="img-fluid" width="350px">
                                    <br /><br />
                                    <button class="btn btn-warning" type="button">Video Belum Tersedia</button>
                                </center>
                            </div>
                            <div class="mt-5" id="meeting_ada">
                                <center>
                                    <div id="meeting_url"></div>
                                </center>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
        </div>
        <div id="cardSoalEmpty" style="margin-top:5%">
            <center>
                <img src="~/assets/img/illustration/empty.svg" class="img-fluid" width="300px">
                <span style="margin:15px;display: block;">Tidak ada pelajaran yang dipilih</span>
                <a class="btn btn-outline-primary" href="/">Lihat Mapel Saya</a>
            </center>
        </div>
    </div>
</section>
